<?php
session_start();
include "verifica.php";

@$xs_usu_codi=$_SESSION['s_usu_codi'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xclave_antigua=$_REQUEST['xclave_antigua'];

@$xclave_nueva=$_REQUEST['xclave_nueva'];
@$xrepite_clave_nueva=$_REQUEST['xrepite_clave_nueva'];

$xclave_antigua=md5(trim($xclave_antigua));
$xclave_nueva=md5(trim($xclave_nueva));


include "../conexion.php";

//$r = mysqli_query($conexion,"SELECT * FROM usuarios u WHERE md5(md5(usu_nombre))='$xusuario' and md5(md5(usu_clave))='$xclave';");
$r = mysqli_query($conexion,"SELECT * FROM usuarios u WHERE usu_codi=$xs_usu_codi and usu_clave='$xclave_antigua';");

if(mysqli_num_rows($r) > 0){

	$r2 = mysqli_query($conexion,"UPDATE usuarios SET usu_clave='$xclave_nueva' WHERE usu_codi=$xs_usu_codi;");
	if($r2){
		?>			
		<script language="javascript">
		alert("La clave ha sido cambiada satisfactoriamente. Vuelva a ingresar.")
		parent.location.href="../index.php";
		</script>			
		<?php
	}

}else{
	?>			
	<script language="javascript">
	alert("La clave antigua no es correcta.")
	//parent.location.href="../billetes.php";
	</script>			
	<?php

}



?>
